Skip to content
Start here

Get share recipient by ID

client.ResourceSharing.Recipients.Get(ctx, shareID, recipientID, params) (*RecipientGetResponse, error)
GET/accounts/{account_id}/shares/{share_id}/recipients/{recipient_id}

Get share recipient by ID.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
shareID string

Share identifier tag.

maxLength32
recipientID string

Share Recipient identifier tag.

maxLength32
params RecipientGetParams
AccountID param.Field[string]

Path param: Account identifier.

maxLength32
IncludeResources param.Field[bool]optional

Query param: Include resources in the response.

ReturnsExpand Collapse
type RecipientGetResponse struct{…}
ID string

Share Recipient identifier tag.

maxLength32
AccountID string

Account identifier.

maxLength32
AssociationStatus RecipientGetResponseAssociationStatus

Share Recipient association status.

One of the following:
const RecipientGetResponseAssociationStatusAssociating RecipientGetResponseAssociationStatus = "associating"
const RecipientGetResponseAssociationStatusAssociated RecipientGetResponseAssociationStatus = "associated"
const RecipientGetResponseAssociationStatusDisassociating RecipientGetResponseAssociationStatus = "disassociating"
const RecipientGetResponseAssociationStatusDisassociated RecipientGetResponseAssociationStatus = "disassociated"
Created Time

When the share was created.

formatdate-time
Modified Time

When the share was modified.

formatdate-time
Resources []RecipientGetResponseResourceoptional
Error string

Share Recipient error message.

ResourceID string

Share Resource identifier.

maxLength32
ResourceVersion int64

Resource Version.

Terminal bool

Whether the error is terminal or will be continually retried.

Get share recipient by ID

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/resource_sharing"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  recipient, err := client.ResourceSharing.Recipients.Get(
    context.TODO(),
    "3fd85f74b32742f1bff64a85009dda07",
    "3fd85f74b32742f1bff64a85009dda07",
    resource_sharing.RecipientGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", recipient.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3fd85f74b32742f1bff64a85009dda07",
    "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "association_status": "associating",
    "created": "2023-09-21T18:56:32.624632Z",
    "modified": "2023-09-21T18:56:32.624632Z",
    "resources": [
      {
        "error": "Recipient is missing necessary entitlement",
        "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_version": 0,
        "terminal": true
      }
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3fd85f74b32742f1bff64a85009dda07",
    "account_id": "023e105f4ecef8ad9ca31a8372d0c353",
    "association_status": "associating",
    "created": "2023-09-21T18:56:32.624632Z",
    "modified": "2023-09-21T18:56:32.624632Z",
    "resources": [
      {
        "error": "Recipient is missing necessary entitlement",
        "resource_id": "023e105f4ecef8ad9ca31a8372d0c353",
        "resource_version": 0,
        "terminal": true
      }
    ]
  }
}